package com.supervision.vo.talk;

import cn.hutool.core.util.StrUtil;
import com.supervision.dto.robot.SuspectInfo;
import lombok.Data;

@Data
public class RobotTalkReq {

    private String sessionId;

    /**
     * 问题id
     */
    private String askId;

    private String message;

    /**
     * 问题内容类型：1-文本，2-音频，3-文件，4-图片，5-视频
     */
    private Integer answerType;

    /**
     * 关键内容确认标识
     */
    private boolean confirmFlag;

    // ========方便前端好传参=======>>>>>>
    /**
     * 名字
     */
    private String name;

    /**
     * 卡号
     */
    private String cardNumber;

    /**
     * 身份证件号
     */
    private String idNumber;

    // <<<<<========方便前端好传参=======

    private SuspectInfo titleContent;

    public void populateSuspectInfo() {
        titleContent = new SuspectInfo();
        if (StrUtil.isNotEmpty(name)){
            titleContent.setName(name);
        }
        if (StrUtil.isNotEmpty(cardNumber)){
            titleContent.setCardNumber(StrUtil.split(cardNumber,','));
        }
        if (StrUtil.isNotEmpty(idNumber)){
            titleContent.setIdNumber(idNumber);
        }
    }
}
